Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2699003002: Clear cached QUIC network stats when a QUIC handshake fails. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by Ryan Hamilton
Modified:
3 months, 2 weeks ago
Reviewers:
Jana, Ilya Sherman
CC:
chromium-reviews, cbentzel+watch_chromium.org, asvitkine+watch_chromium.org, net-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Clear cached QUIC network stats when a QUIC handshake fails. BUG= Review-Url: https://codereview.chromium.org/2699003002 Cr-Commit-Position: refs/heads/master@{#457196} Committed: https://chromium.googlesource.com/chromium/src/+/ac7f35e6ac21e1722cd35cfa851a19af08b400a4

Patch Set 1 #

Total comments: 5
Unified diffs Side-by-side diffs Delta from patch set Stats (+71 lines, -4 lines) Patch
M net/http/http_server_properties.h View 1 chunk +5 lines, -1 line 0 comments Download
M net/http/http_server_properties_impl.h View 1 chunk +1 line, -0 lines 0 comments Download
M net/http/http_server_properties_impl.cc View 1 chunk +8 lines, -0 lines 0 comments Download
M net/http/http_server_properties_impl_unittest.cc View 1 chunk +11 lines, -0 lines 2 comments Download
M net/http/http_server_properties_manager.h View 3 chunks +5 lines, -1 line 0 comments Download
M net/http/http_server_properties_manager.cc View 1 chunk +10 lines, -0 lines 3 comments Download
M net/http/http_server_properties_manager_unittest.cc View 1 chunk +18 lines, -0 lines 0 comments Download
M net/quic/chromium/quic_network_transaction_unittest.cc View 2 chunks +7 lines, -0 lines 0 comments Download
M net/quic/chromium/quic_stream_factory.cc View 1 chunk +4 lines, -2 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 chunk +2 lines, -0 lines 0 comments Download
Trybot results:  chromium_presubmit   chromium_presubmit   mac_chromium_rel_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   win_clang   ios-simulator-xcode-clang   win_chromium_compile_dbg_ng   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   win_chromium_x64_rel_ng   linux_chromium_rel_ng   ios-simulator   android_clang_dbg_recipe   android_n5x_swarming_rel   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   android_arm64_dbg_recipe   cast_shell_android   android_cronet   android_compile_dbg   linux_android_rel_ng   chromium_presubmit   linux_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   chromium_presubmit   android_n5x_swarming_rel   win_chromium_x64_rel_ng   win_clang   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   win_chromium_rel_ng   mac_chromium_rel_ng   win_chromium_x64_rel_ng   ios-simulator   mac_chromium_compile_dbg_ng   ios-device-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   cast_shell_android   android_n5x_swarming_rel   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromium_presubmit   linux_chromium_chromeos_rel_ng   android_arm64_dbg_recipe   android_compile_dbg   android_cronet   android_clang_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (14 generated)
Ryan Hamilton
4 months, 1 week ago (2017-02-16 23:13:01 UTC) #2
Jana
One clarification question and a nit. https://codereview.chromium.org/2699003002/diff/1/net/http/http_server_properties_impl_unittest.cc File net/http/http_server_properties_impl_unittest.cc (right): https://codereview.chromium.org/2699003002/diff/1/net/http/http_server_properties_impl_unittest.cc#newcode1120 net/http/http_server_properties_impl_unittest.cc:1120: impl_.ClearServerNetworkStats(foo_https_server); Nit: can ...
4 months, 1 week ago (2017-02-17 02:52:13 UTC) #3
Ryan Hamilton
https://codereview.chromium.org/2699003002/diff/1/net/http/http_server_properties_impl_unittest.cc File net/http/http_server_properties_impl_unittest.cc (right): https://codereview.chromium.org/2699003002/diff/1/net/http/http_server_properties_impl_unittest.cc#newcode1120 net/http/http_server_properties_impl_unittest.cc:1120: impl_.ClearServerNetworkStats(foo_https_server); On 2017/02/17 02:52:12, Jana wrote: > Nit: can ...
4 months, 1 week ago (2017-02-17 03:41:53 UTC) #4
Jana
lgtm https://codereview.chromium.org/2699003002/diff/1/net/http/http_server_properties_manager.cc File net/http/http_server_properties_manager.cc (right): https://codereview.chromium.org/2699003002/diff/1/net/http/http_server_properties_manager.cc#newcode321 net/http/http_server_properties_manager.cc:321: ScheduleUpdatePrefsOnNetworkThread(CLEAR_SERVER_NETWORK_STATS); On 2017/02/17 03:41:53, Ryan Hamilton wrote: > ...
4 months, 1 week ago (2017-02-17 05:42:33 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2699003002/1
4 months, 1 week ago (2017-02-17 15:06:48 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/367189)
4 months, 1 week ago (2017-02-17 15:12:49 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2699003002/1
3 months, 2 weeks ago (2017-03-15 19:25:08 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/386351)
3 months, 2 weeks ago (2017-03-15 19:35:51 UTC) #17
Ryan Hamilton
isherman: histograms.xml OWNERS review please
3 months, 2 weeks ago (2017-03-15 19:40:40 UTC) #19
Ilya Sherman
histograms.xml lgtm
3 months, 2 weeks ago (2017-03-15 20:34:47 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2699003002/1
3 months, 2 weeks ago (2017-03-15 20:36:24 UTC) #22
commit-bot: I haz the power
3 months, 2 weeks ago (2017-03-15 20:48:19 UTC) #26
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/ac7f35e6ac21e1722cd35cfa851a...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 23e94e589